
QGIS Application - Bug report #10566

DB Manager : Impossible to add a geometryless table

2014-06-12 06:41 AM - Harrissou Santanna

Status: Closed

Priority: Severe/Regression

Assignee: Jürgen Fischer

Category: DB Manager

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18973

Description

Open DB Manager and connect yourself to a PostGIS database

Drag and drop a table or view without geometry column from the table list to the map canvas

You get a pop up saying that the layer you're trying to put in the canvas is not valid and won't be added.

The same table can be added through DB Manager in QGIS 1.8 but no more since 2.0.

The same table or view can though be added to the layer list when using Vector menu > Add PostGIS Layer in Master or previous.

Related issues:

Related to QGIS Application - Bug report # 8970: Failed import of csv table i... Closed 2013-10-31

Associated revisions

Revision 85ce6762 - 2014-06-12 05:32 PM - Jürgen Fischer

db_mananger: fix loading geometryless tables (fixes #10566)

History

#1 - 2014-06-12 08:13 AM - Jürgen Fischer

- Assignee set to Jürgen Fischer

#2 - 2014-06-12 08:33 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"85ce67624c01c3eec4fb2d7bdb0e784560a53d89".

#3 - 2014-06-12 09:41 AM - Paolo Cavallini

Any relation to #8970 ?
